commit f73772df64cfc4e00ab66f022d35cbd8e2890014
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Sep 15 00:17:14 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index bfe8fd1d491..dd52d5c4235 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,41 @@
+2020-09-14  Sergei Trofimovich  <siarheit@google.com>
+
+	Backported from master:
+	2020-09-14  Sergei Trofimovich  <siarheit@google.com>
+
+	* doc/invoke.texi: fix '-fprofile-reproducibility' option
+	spelling in manual.
+
+2020-09-14  Jose E. Marchesi  <jose.marchesi@oracle.com>
+
+	Backported from master:
+	2020-09-14  Jose E. Marchesi  <jose.marchesi@oracle.com>
+
+	* config/bpf/bpf.md ("nop"): Re-define as `ja 0'.
+
+2020-09-14  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2020-08-27  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/96522
+	* tree-ssa-address.c (copy_ref_info): Reset flow-sensitive
+	info of the copied points-to.  Transfer bigger alignment
+	via the access type.
+	* tree-ssa-sccvn.c (eliminate_dom_walker::eliminate_stmt):
+	Reset all flow-sensitive info.
+
+2020-09-14  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/97043
+	* tree-vect-slp.c (vect_analyze_slp_instance): Do not
+	elide a load permutation if the current vectorization
+	factor is one.
+
+2020-09-14  Nathan Sidwell  <nathan@acm.org>
+
+	* config/i386/sse.md (mov<mode>): Fix operand indices.
+
 2020-09-13  Roger Sayle  <roger@nextmovesoftware.com>
 
 	* config/pa/pa.c (hppa_rtx_costs) [ASHIFT, ASHIFTRT, LSHIFTRT]:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 112e93fe6b5..792c97ce32d 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200914
+20200915
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 8781ededfea..7c96e2b71bf 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,18 @@
+2020-09-14  Jose E. Marchesi  <jose.marchesi@oracle.com>
+
+	Backported from master:
+	2020-09-14  Jose E. Marchesi  <jose.marchesi@oracle.com>
+
+	* gcc.target/bpf/nop-1.c: New test.
+
+2020-09-14  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2020-08-27  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/96522
+	* gcc.dg/torture/pr96522.c: New testcase.
+
 2020-09-11  Andrew Stubbs  <ams@codesourcery.com>
 
 	Backported from master:

